Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.tools
Class SoapUIMockServiceRunner

    java.lang.Object
      com.eviware.soapui.tools.AbstractSoapUIRunner
          com.eviware.soapui.tools.SoapUIMockServiceRunner

    public class SoapUIMockServiceRunner

extends AbstractSoapUIRunner

Standalone tool-runner used from maven-plugin, can also be used from command-line (see xdocs) or directly from other classes.

For standalone usage, set the project file (with setProjectFile) and other desired properties before calling run

Author:
  Ole.Matzura

Nested Class Summary
`class` | `SoapUIMockServiceRunner.LogListener`

Nested classes/interfaces inherited from class com.eviware.soapui.tools.AbstractSoapUIRunner
`AbstractSoapUIRunner.SoapUIOptions`

Field Summary
`static java.lang.String` | `TITLE`

Fields inherited from class com.eviware.soapui.tools.AbstractSoapUIRunner
`log`

Constructor Summary
`SoapUIMockServiceRunner()`
`SoapUIMockServiceRunner(java.lang.String title)`

Method Summary
`protected AbstractSoapUIRunner.SoapUIOptions` | `initCommandLineOptions()`
`static void` | `main(java.lang.String[] args)` Runs the specified MockService in the specified soapUI project file, see soapUI xdocs for details.
`protected boolean` | `processCommandLine(org.apache.commons.cli.CommandLine cmd)`
`void` | `runMockService(WsdlMockService mockService)` Runs the configured tool for the specified interface.. needs to be refactored to use some kind of registry/factory pattern for tools
`void` | `runRunner()`
`void` | `setMockService(java.lang.String mockService)`
`void` | `setPath(java.lang.String path)`
`void` | `setPort(java.lang.String port)`

Methods inherited from class com.eviware.soapui.tools.AbstractSoapUIRunner
`createSoapUICore, getProjectFile, getSettingsFile, initFromCommandLine, initGroovyLog, run, runFromCommandLine, setEnableUI, setProjectFile, setSettingsFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TITLE

    public static java.lang.String TITLE

Constructor Detail

### SoapUIMockServiceRunner

    public SoapUIMockServiceRunner()

### SoapUIMockServiceRunner

    public SoapUIMockServiceRunner(java.lang.String title)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Runs the specified MockService in the specified soapUI project file, see soapUI xdocs for details.

  Parameters:
    `args` -
  Throws:
    `java.lang.Exception`

### setMockService

    public void setMockService(java.lang.String mockService)

### setPath

    public void setPath(java.lang.String path)

### setPort

    public void setPort(java.lang.String port)

### runRunner

    public void runRunner()
                   throws java.lang.Exception

  Specified by:
    `runRunner` in class `AbstractSoapUIRunner`
  Throws:
    `java.lang.Exception`

### runMockService

    public void runMockService(WsdlMockService mockService)

  Runs the configured tool for the specified interface.. needs to be refactored to use some kind of registry/factory pattern for tools

  Parameters:
    `iface` -

### initCommandLineOptions

    protected AbstractSoapUIRunner.SoapUIOptions initCommandLineOptions()

  Specified by:
    `initCommandLineOptions` in class `AbstractSoapUIRunner`

### processCommandLine

    protected boolean processCommandLine(org.apache.commons.cli.CommandLine cmd)

  Specified by:
    `processCommandLine` in class `AbstractSoapUIRunner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.